Subject: Re: bug#27243: another case: dired-auto-revert-buffer jumps point to beginning of buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Jul 2017 17:43:15 +0300

> From: Stephen Berman <[email-masked]>
> Date: Sun, 23 Jul 2017 00:48:18 +0200
> Cc: [email-masked]
> 
> This is exactly the same probem as the last one with dired and the same
> change -- using pop-to-buffer-same-window instead of switch-to-buffer in
> find-file -- fixes it.  Since the dired change exposed a problematic
> dependency on switch-to-buffer in todo-mode.el (since fixed), if there
> are other packages that have a similar dependency, making the same
> change in find-file runs the risk of changing behavior in these
> packages.  But like with todo-mode.el, presumably it would be better to
> expose and eliminate such a dependency than to leave it as a possibly
> ticking time-bomb.  So should we go ahead and make this change to
> find-file?  (I wonder if there are more such cases waiting in the
> wings...)

Martin, when might pop-to-buffer-same-window show the buffer in a
window other than the selected one?  If we are going to make this
change, we need first to understand when it might misfire, because
some users of find-file might not like the situation where the buffer
pops up in another window.

E.g., what happens in this particular use case if the Dire4d buffer
pops in another window?